Package com.io7m.jtensors.orthonormalization

# Class POrthonormalized3D.Builder<T>

java.lang.Object
com.io7m.jtensors.orthonormalization.POrthonormalized3D.Builder<T>

Enclosing class:
  `POrthonormalized3D<T>`

public static final class POrthonormalized3D.Builder<T> extends Object
Builds instances of type `POrthonormalized3D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `POrthonormalized3D<T>`
  `build()`
  Builds a new `POrthonormalized3D`.
  `final POrthonormalized3D.Builder<T>`
  `from(POrthonormalized3DType<T> instance)`
  Fill a builder with attribute values from the provided `POrthonormalized3DType` instance.
  `final POrthonormalized3D.Builder<T>`
  `setV0(PVector3D<T> v0)`
  Initializes the value for the `v0` attribute.
  `final POrthonormalized3D.Builder<T>`
  `setV1(PVector3D<T> v1)`
  Initializes the value for the `v1` attribute.
  `final POrthonormalized3D.Builder<T>`
  `setV2(PVector3D<T> v2)`
  Initializes the value for the `v2` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final POrthonormalized3D.Builder<T> from(POrthonormalized3DType<T> instance)
    Fill a builder with attribute values from the provided `POrthonormalized3DType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setV0

    public final POrthonormalized3D.Builder<T> setV0(PVector3D<T> v0)
    Initializes the value for the `v0` attribute.
    Parameters:
      `v0` - The value for v0
    Returns:
      `this` builder for use in a chained invocation

  - ### setV1

    public final POrthonormalized3D.Builder<T> setV1(PVector3D<T> v1)
    Initializes the value for the `v1` attribute.
    Parameters:
      `v1` - The value for v1
    Returns:
      `this` builder for use in a chained invocation

  - ### setV2

    public final POrthonormalized3D.Builder<T> setV2(PVector3D<T> v2)
    Initializes the value for the `v2` attribute.
    Parameters:
      `v2` - The value for v2
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public POrthonormalized3D<T> build()
    Builds a new `POrthonormalized3D`.
    Returns:
      An immutable instance of POrthonormalized3D
    Throws:
      `IllegalStateException` - if any required attributes are missing